Bug Hunting Session
Bug 99816 - Calc: Don't ask when deleting a sheet
Summary: Calc: Don't ask when deleting a sheet
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2016-05-13 06:40 UTC by Samuel Mehrbrodt (CIB)
Modified: 2016-09-25 06:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2016-05-13 06:40:43 UTC
When deleting a table in Calc, a msg box pops up: "Are you sure you want to delete the selected table?"

This is not neccessary as you can undo deleting a table if you deleted by mistake.

So remove the security question.
Comment 1 raal 2016-05-20 17:49:30 UTC
Hello, how to trigger this message in Calc? Could you attach test file? Thanks
Comment 2 Samuel Mehrbrodt (CIB) 2016-05-20 17:53:18 UTC
Use the table menu to create & delete a table.
Comment 3 m.a.riosv 2016-05-20 23:51:15 UTC
Forgirve me Samuel, but there is no Table menu in calc. I don't remember this option in calc neither in AOo.
Comment 4 Tomaz Vajngerl 2016-05-21 01:42:09 UTC
I guess Samuel means Sheet not Table :)
Comment 5 m.a.riosv 2016-05-21 11:17:02 UTC
I think 'undo' it's not so reliable.
Comment 6 Samuel Mehrbrodt (CIB) 2016-05-23 06:36:08 UTC
(In reply to Tomaz Vajngerl from comment #4)
> I guess Samuel means Sheet not Table :)

Yes, thanks, I was re-translating from German :)


(In reply to m.a.riosv from comment #5)
> I think 'undo' it's not so reliable.

Why? Are there any known bugs when undoing a deleted sheet?
Comment 7 m.a.riosv 2016-05-23 08:41:52 UTC
Open bugs about undo with calc:
https://bugs.documentfoundation.org/buglist.cgi?bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&bug_status=CLOSED&bug_status=NEEDINFO&bug_status=PLEASETEST&component=Calc&email1=mariosv&emailtype1=substring&list_id=611888&product=LibreOffice&query_format=advanced&resolution=---&short_desc=UNDO&short_desc_type=allwordssubstr

And there are a 36 resolved-fixed

Sorry Samuel, I don't like to be against, but it's my point of view, e.g. sometimes it's no easy to know that an issue comes from an undo, specially with complex spreadsheets, those that usually has several sheets.
And perhaps for people used to work with the keyboard, easier to delete a sheet in an unwanted way.

In any case if for you it's right, don't worry about my opinion.
Comment 8 Cor Nouws 2016-05-23 15:09:53 UTC
(In reply to m.a.riosv from comment #7)
> Sorry Samuel, I don't like to be against, but it's my point of view, e.g.
> sometimes it's no easy to know that an issue comes from an undo, specially
> with complex spreadsheets, those that usually has several sheets.

I'm afraid too that relying on Undo here will cause trouble. So a security question for in case someone hits the function by accident, looks reasonable to me.
Comment 9 Heiko Tietze 2016-09-25 06:42:30 UTC
Following the other commentators and close as WONTFIX.

What we could do is to introduce a "Don't ask again" checkbox with those confirmation dialogs along with an option page to reactive. We did that for the Impress wizard, for example.